spring:
  cloud:
    nacos:
      config:
        # Nacos 认证用户
        username: nacos
        # Nacos 认证密码
        password: nacos
        # 命名空间 常用场景之一是不同环境的配置的区分隔离，例如开发测试环境和生产环境的资源（如配置、服务）隔离等
        namespace:
        # 配置中心地址
        server-addr: nacos.xt.wenhq.top:8083
        # 配置对应的分组
        group: DEFAULT_GROUP
        # 配置文件后缀
        file-extension: yaml
        prefix: yjzh-sq
        # 支持多个共享 Data Id 的配置，优先级小于extension-configs,自定义 Data Id 配置 属性是个集合，内部由 Config POJO 组成。Config 有 3 个属性，分别是 dataId, group 以及 refresh
        #shared-configs[0]:
          #data-id: @prefix.name@-common.yaml # 配置文件名-Data Id
          #group: @config.group@   # 默认为DEFAULT_GROUP
          #refresh: false   # 是否动态刷新，默认为false
        # 配置文件默认使用nacos
        enabled: true
      discovery:
        namespace:
        server-addr: ${spring.cloud.nacos.config.server-addr}

    compatibility-verifier:
      enabled: false

